//
// $Id: SteppingAction.cc 157 2008-09-12 12:30:03Z jacquem $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "SteppingAction.hh"
#include "DetectorConstruction.hh"

#include "G4Step.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

SteppingAction::SteppingAction(DetectorConstruction* det)
:m_detector(det)
{ }

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

SteppingAction::~SteppingAction()
{ }

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void SteppingAction::UserSteppingAction(const G4Step* step)
{
 // in which volume is the step ?
 G4VPhysicalVolume* volume 
 = step->GetPreStepPoint()->GetTouchableHandle()->GetVolume();

 // energy deposit in this step 
 G4double edep = step->GetTotalEnergyDeposit();

 // is astronaute ?
 if (volume == m_detector->GetAstronaut()) {
   G4cout << "--> edep in astronaut : " << edep/keV << " keV" << G4endl; 
 }
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
