//
// $Id: SteppingAction.cc 171 2008-09-17 14:27:03Z maire $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "SteppingAction.hh"
#include "DetectorConstruction.hh"
#include "RunAction.hh"

#include "G4Step.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

SteppingAction::SteppingAction(DetectorConstruction* det, RunAction* run)
:m_detector(det),m_runAction(run)
{ }

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

SteppingAction::~SteppingAction()
{ }

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void SteppingAction::UserSteppingAction(const G4Step* step)
{
 // in which volume is the step ?
 G4VPhysicalVolume* volume 
 = step->GetPreStepPoint()->GetTouchableHandle()->GetVolume();

 // energy deposit in this step 
 G4double edep = step->GetTotalEnergyDeposit();

 // is astronaute ?
 if (volume == m_detector->GetAstronaut()) {
   G4cout << "--> edep in astronaut : " << edep/keV << " keV" << G4endl;
   m_runAction->AddEdep(edep); 
 }
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
