//
// $Id: PrimaryGeneratorMessenger.cc 166 2008-09-16 10:39:56Z maire $
//
// PrimaryGeneratorMessenger.cc
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "PrimaryGeneratorMessenger.hh"

#include "PrimaryGeneratorAction.hh"
#include "G4UIdirectory.hh"
#include "G4UIcmdWithAString.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

PrimaryGeneratorMessenger::PrimaryGeneratorMessenger(
                                                   PrimaryGeneratorAction* gun)
:m_action(gun)
{  
  m_gunDir = new G4UIdirectory("/tutorial/gun/");
  m_gunDir->SetGuidance("PrimaryGenerator control");
   
  m_rndmCmd = new G4UIcmdWithAString("/tutorial/gun/rndm",this);
  m_rndmCmd->SetGuidance("Shoot randomly the incident particle.");
  m_rndmCmd->SetGuidance("Choice : on, off");
  m_rndmCmd->SetCandidates("on off");      
  m_rndmCmd->SetParameterName("flag",false);
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

PrimaryGeneratorMessenger::~PrimaryGeneratorMessenger()
{
  delete m_rndmCmd;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void PrimaryGeneratorMessenger::SetNewValue(G4UIcommand* command,
                                               G4String newValue)
{
  if( command == m_rndmCmd )
   { m_action->SetRndmFlag(newValue);}
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

