//
// $Id: RunAction.hh 169 2008-09-16 16:16:21Z maire $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef RunAction_h
#define RunAction_h 1

#include "G4UserRunAction.hh"
#include "globals.hh"

#include <vector>

class G4Run;
class DetectorConstruction;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class RunAction : public G4UserRunAction
{
  public:
    RunAction(DetectorConstruction*);
   ~RunAction();

  public:
    void BeginOfRunAction(const G4Run*);
    void   EndOfRunAction(const G4Run*);
    
    void SumEvents(G4double e) { m_sumEdep += e; m_sumEdep2 += e*e; m_nbEntry++; };
    void SumDepthDose(G4double,G4double);
  
    // -- jour3a : duplication of SumDepthDose code for depthDoseSD vector:
    void SumDepthDoseSD(G4double,G4double);

    void WriteDepthDose(G4String);
    		               
  private:
    DetectorConstruction* m_detector;
    
    G4double m_sumEdep, m_sumEdep2;
    G4int m_nbEntry;
    
    std::vector<G4double> m_depthDose;
    std::vector<G4double> m_depthDoseSD; // -- jour3a
    G4double m_astronautHeight;
    G4double m_sliceWidth;
    G4int    m_nbSlices;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

