//
// $Id: PrimaryGeneratorAction.hh 170 2008-09-17 09:20:45Z maire $
//
// PrimaryGeneratorAction.hh
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef PrimaryGeneratorAction_h
#define PrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4ParticleGun.hh"
#include "globals.hh"

class G4Event;
class DetectorConstruction;
class PrimaryGeneratorMessenger;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
  public:
    PrimaryGeneratorAction(DetectorConstruction*);    
   ~PrimaryGeneratorAction();

  public:  
    void GeneratePrimaries(G4Event*);
    void SetRndmFlag (G4String flag) { m_rndmFlag = flag;};
         
    G4ParticleGun* GetParticleGun() {return m_particleGun;}
    
  private:
    G4ParticleGun*             m_particleGun;
    DetectorConstruction*      m_detector;
    PrimaryGeneratorMessenger* m_gunMessenger;
    G4String                   m_rndmFlag;         
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif


