#ifndef SensitiveDetector_h
#define SensitiveDetector_h 1

#include "G4VSensitiveDetector.hh"
class DetectorConstruction;
class RunAction;

// -- addition for jour4b2:
#include "AstroHit.hh"           // <<- the hit "format" we define
#include "AstroHitCollection.hh" // <<- our collection format of above hits
class G4HCofThisEvent;           // <<- means "H(it) C(ollections) of This Event"


class SensitiveDetector : public G4VSensitiveDetector
{
public:
  SensitiveDetector(G4String SDname);
  ~SensitiveDetector();

public:
  // --------- methods from base class G4VSensitiveDetector ----------
  // -- Mandatory base class method : it must to be overloaded:
   G4bool ProcessHits(G4Step *step, G4TouchableHistory *ROhist);
  //                                 -------------------------
  //                                 unused in these examples
  // -- (optional) methods of base class G4VSensitiveDetector
  // -- used in this jour4b2 example:
  void Initialize(G4HCofThisEvent* HCE);
  void EndOfEvent(G4HCofThisEvent* HCE);
  // -----------------------------------------------------------------

private:
  DetectorConstruction*     m_detector;
  RunAction*               m_runAction;

  AstroHitCollection*  m_hitCollection;
  G4int                     m_nbSlices;
  G4double                m_sliceWidth;
  std::vector<G4int>        m_hitIndex;
};

#endif
