//
// $Id: DetectorMessenger.hh 172 2008-09-22 10:23:14Z maire $
//
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef DetectorMessenger_h
#define DetectorMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class DetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithAString;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithoutParameter;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class DetectorMessenger: public G4UImessenger
{
  public:
  
    DetectorMessenger(DetectorConstruction* );
   ~DetectorMessenger();
    
    void SetNewValue(G4UIcommand*, G4String);
    
  private:
  
    DetectorConstruction*      m_detector;
    
    G4UIdirectory*             m_detDir;
        
    G4UIcmdWithAString*        m_materialCmd;
    G4UIcmdWithADoubleAndUnit* m_thicknessCmd;    
    G4UIcmdWithADoubleAndUnit* m_radiusCmd;    
    G4UIcmdWithADoubleAndUnit* m_lengthCmd;
    G4UIcmdWithADoubleAndUnit* m_magFieldCmd;
    G4UIcmdWithADoubleAndUnit* m_stepMaxCmd;    
    
    G4UIcmdWithoutParameter*   m_updateCmd;    
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

